import { AuthDto } from "../dtos/auth.dto";
import { WorkflowCreateDto, WorkflowResponseDto, WorkflowSearchDto, WorkflowShareResponseDto, WorkflowTriggerResponseDto, WorkflowUpdateDto } from "../dtos/workflow.dto";
import { BaseService } from "./base.service";
export declare class WorkflowService extends BaseService {
    getTriggers(): WorkflowTriggerResponseDto[];
    search(auth: AuthDto, dto: WorkflowSearchDto): Promise<WorkflowResponseDto[]>;
    get(auth: AuthDto, id: string): Promise<WorkflowResponseDto>;
    share(auth: AuthDto, id: string): Promise<WorkflowShareResponseDto>;
    create(auth: AuthDto, dto: WorkflowCreateDto): Promise<WorkflowResponseDto>;
    update(auth: AuthDto, id: string, dto: WorkflowUpdateDto): Promise<WorkflowResponseDto>;
    delete(auth: AuthDto, id: string): Promise<void>;
    private resolveAndValidateSteps;
    private findOrFail;
}
